Aller au contenu

Beatles17

Membre
  • Compteur de contenus

    190
  • Inscription

  • Dernière visite

Visiteurs récents du profil

Le bloc de visiteurs récents est désactivé et il n’est pas visible pour les autres utilisateurs.

  1. Oui c’était l’idée j’ai pas été assez explicite
  2. Pour ceux qui on des soucis avec la dégradation de batterie, il faut modifier directement la variable "autonomie-max" de 499 vers la valeur désirée (386 pour ma part) dans le JSON puis importer le dashboard "details". Si on modifie la variable dans Grafana après l'importation ce n'est pas bien pris en compte.
  3. Oui je suis a 14% moi donc bon je ne sais pas trop quoi penser de cette valeur de dégradation
  4. Moi elle est de février 2020 et il me semble que c’était 409km annoncé à l’époque.
  5. J'ai bien mis le chmod +x donc il est exécutable, peut-etre l'environnement d'exécution de cron est différent....
  6. Bien vu j'ai ajouté le petit gzip à la fin, merci !
  7. Merci encore. J'ai monté un partage vers mon NAS et fait le script qui backup directement dessus. Ca fonctionne bien. En revanche je ne suis pas familier de cron, j'ai ajouté la tache avec crontab -e et j'ai mis une heure assez proche pour tester mais la sauvegarde ne s'est pas faite. Y'a une commande a passer pour la prise en compte ? 19 11 * * * /home/pi/Backup_Teslamate.sh
  8. C'est bon ! Merci énormément pour ton aide ! Y'a plus qu'à mettre ça en crontab.
  9. Donc je suis parti sur ça : [email protected]:/usr/src $ docker exec src_teslamate_1 pg_dump -U teslamate teslamate > /home/pi/BackupTeslaMate/teslamateBCK123.bck [email protected]:/usr/src $ echo $? 126 Pas mieux.... Je sais pas si ma commande est correcte.
  10. Ca se stoppe au même endroit. J'ai passé ça : /usr/local/bin/docker-compose --verbose --log-level DEBUG -f /usr/src/docker-compose.yml exec -T db pg_dump -U teslamate teslamate > /home/pi/BackupTeslaMate/teslamateBCK.bck
  11. Alors fichier toujours vide mais j'ai de la verbose : compose.config.config.find: Using configuration files: /usr/src/docker-compose.yml compose.cli.docker_client.get_client: docker-compose version 1.29.1, build unknown docker-py version: 5.0.0 CPython version: 3.7.3 OpenSSL version: OpenSSL 1.1.1d 10 Sep 2019 compose.cli.docker_client.get_client: Docker base_url: http+docker://localhost compose.cli.docker_client.get_client: Docker version: Platform={'Name': 'Docker Engine - Community'}, Components=[{'Name': 'Engine', 'Version': '20.10.6', 'Details': {'ApiVersion': '1.41', 'Arch': 'arm', 'BuildTime': '2021-04-09T22:44:17.000000000+00:00', 'Experimental': 'false', 'GitCommit': '8728dd2', 'GoVersion': 'go1.13.15', 'KernelVersion': '5.10.17-v7+', 'MinAPIVersion': '1.12', 'Os': 'linux'}}, {'Name': 'containerd', 'Version': '1.4.4', 'Details': {'GitCommit': '05f951a3781f4f2c1911b05e61c160e9c30eaa8e'}}, {'Name': 'runc', 'Version': '1.0.0-rc93', 'Details': {'GitCommit': '12644e614e25b05da6fd08a38ffa0cfe1903fdec'}}, {'Name': 'docker-init', 'Version': '0.19.0', 'Details': {'GitCommit': 'de40ad0'}}], Version=20.10.6, ApiVersion=1.41, MinAPIVersion=1.12, GitCommit=8728dd2, GoVersion=go1.13.15, Os=linux, Arch=arm, KernelVersion=5.10.17-v7+, BuildTime=2021-04-09T22:44:17.000000000+00:00 compose.cli.verbose_proxy.proxy_callable: docker inspect_network <- ('src_default') compose.cli.verbose_proxy.proxy_callable: docker inspect_network -> {'Attachable': True, 'ConfigFrom': {'Network': ''}, 'ConfigOnly': False, 'Containers': {'3cf25d73ef8019526ad3e9b317943ba8765a9eac86d6ac19b094d85b18d270dc': {'EndpointID': 'c0ea8d007c47545bf6db35dc975775e4ba2478c40321260d82cb351dd926cacb', 'IPv4Address': '172.18.0.2/16', 'IPv6Address': '', 'MacAddress': '02:42:ac:12:00:02', 'Name': 'src_teslamate_1'}, '80f03a70521a182bae3a05b9a56e75c6df35231378d95734e5fe669fe5daac0a': {'EndpointID': '8f4a35561bc317bc97d8bf4aca270202b44a786c10456e1e57d9571c088d7eca', 'IPv4Address': '172.18.0.4/16', ... compose.cli.verbose_proxy.proxy_callable: docker inspect_volume <- ('src_teslamate-db') compose.cli.verbose_proxy.proxy_callable: docker inspect_volume -> {'CreatedAt': '2021-07-15T08:37:43+01:00', 'Driver': 'local', 'Labels': {'com.docker.compose.project': 'src', 'com.docker.compose.version': '1.29.1', 'com.docker.compose.volume': 'teslamate-db'}, 'Mountpoint': '/var/lib/docker/volumes/src_teslamate-db/_data', 'Name': 'src_teslamate-db', 'Options': None, 'Scope': 'local'} compose.cli.verbose_proxy.proxy_callable: docker inspect_volume <- ('src_teslamate-grafana-data') compose.cli.verbose_proxy.proxy_callable: docker inspect_volume -> {'CreatedAt': '2021-07-15T08:47:49+01:00', 'Driver': 'local', 'Labels': {'com.docker.compose.project': 'src', 'com.docker.compose.version': '1.29.1', 'com.docker.compose.volume': 'teslamate-grafana-data'}, 'Mountpoint': '/var/lib/docker/volumes/src_teslamate-grafana-data/_data', 'Name': 'src_teslamate-grafana-data', 'Options': None, 'Scope': 'local'} compose.cli.verbose_proxy.proxy_callable: docker inspect_volume <- ('src_mosquitto-conf') compose.cli.verbose_proxy.proxy_callable: docker inspect_volume -> {'CreatedAt': '2021-07-15T08:37:42+01:00', 'Driver': 'local', 'Labels': {'com.docker.compose.project': 'src', 'com.docker.compose.version': '1.29.1', 'com.docker.compose.volume': 'mosquitto-conf'}, 'Mountpoint': '/var/lib/docker/volumes/src_mosquitto-conf/_data', 'Name': 'src_mosquitto-conf', 'Options': None, 'Scope': 'local'} compose.cli.verbose_proxy.proxy_callable: docker inspect_volume <- ('src_mosquitto-data') compose.cli.verbose_proxy.proxy_callable: docker inspect_volume -> {'CreatedAt': '2021-07-15T08:37:42+01:00', 'Driver': 'local', 'Labels': {'com.docker.compose.project': 'src', 'com.docker.compose.version': '1.29.1', 'com.docker.compose.volume': 'mosquitto-data'}, 'Mountpoint': '/var/lib/docker/volumes/src_mosquitto-data/_data', 'Name': 'src_mosquitto-data', 'Options': None, 'Scope': 'local'}
  12. Oui : Name Command State Ports --------------------------------------------------------------------------------------------------- src_database_1 docker-entrypoint.sh postgres Up 5432/tcp src_grafana_1 /run.sh Up 0.0.0.0:3000->3000/tcp,:::3000->3000/tcp src_mosquitto_1 /docker-entrypoint.sh /usr ... Up 0.0.0.0:1883->1883/tcp,:::1883->1883/tcp src_teslamate_1 tini -- /bin/sh /entrypoin ... Up 0.0.0.0:4000->4000/tcp,:::4000->4000/tcp
  13. Je lance la commande avec "pi" . Quand je fais un "top", dockerd est un process de root. J'ai ajouté pi au groupe docker mais pas mieux, je n'ai juste plus l'erreur cité plus haut et toujours le code retour 1. Je viens de faire un docker-compose stop / start avec pi ce qui confirme que les droits sont là.
  14. Merci pour ton retour. En précisant le fichier yml, j'ai le même problème. Fichier à 0 et pas de message d'erreur : /usr/local/bin/docker-compose exec -T db pg_dump -f /usr/src/docker-compose.yml -U teslamate teslamate > /home/pi/BackupTeslaMate/teslamateBCK.bck Je me suis donc mis directement dans le dossier /usr/src pour lancer la commande et la j'ai une erreur de droits : Traceback (most recent call last): File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen chunked=chunked) File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request conn.request(method, url, **httplib_request_kw) File "/usr/lib/python3.7/http/client.py", line 1260, in request self._send_request(method, url, body, headers, encode_chunked) File "/usr/lib/python3.7/http/client.py", line 1306, in _send_request self.endheaders(body, encode_chunked=encode_chunked) File "/usr/lib/python3.7/http/client.py", line 1255, in endheaders self._send_output(message_body, encode_chunked=encode_chunked) File "/usr/lib/python3.7/http/client.py", line 1030, in _send_output self.send(msg) File "/usr/lib/python3.7/http/client.py", line 970, in send self.connect() File "/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py", line 43, in connect sock.connect(self.unix_socket) PermissionError: [Errno 13] Permission denied During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send timeout=timeout File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen _stacktrace=sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 367, in increment raise six.reraise(type(error), error, _stacktrace) File "/usr/lib/python3/dist-packages/six.py", line 692, in reraise raise value.with_traceback(tb) File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen chunked=chunked) File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request conn.request(method, url, **httplib_request_kw) File "/usr/lib/python3.7/http/client.py", line 1260, in request self._send_request(method, url, body, headers, encode_chunked) File "/usr/lib/python3.7/http/client.py", line 1306, in _send_request self.endheaders(body, encode_chunked=encode_chunked) File "/usr/lib/python3.7/http/client.py", line 1255, in endheaders self._send_output(message_body, encode_chunked=encode_chunked) File "/usr/lib/python3.7/http/client.py", line 1030, in _send_output self.send(msg) File "/usr/lib/python3.7/http/client.py", line 970, in send self.connect() File "/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py", line 43, in connect sock.connect(self.unix_socket) urllib3.exceptions.ProtocolError: ('Connection aborted.', PermissionError(13, 'Permission denied')) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 214, in _retrieve_server_version return self.version(api_version=False)["ApiVersion"] File "/usr/local/lib/python3.7/dist-packages/docker/api/daemon.py", line 181, in version return self._result(self._get(url), json=True) File "/usr/local/lib/python3.7/dist-packages/docker/utils/decorators.py", line 46, in inner return f(self, *args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 237, in _get return self.get(url, **self._set_request_timeout(kwargs)) File "/usr/lib/python3/dist-packages/requests/sessions.py", line 546, in get return self.request('GET', url, **kwargs) File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request resp = self.send(prep, **send_kwargs) File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send r = adapter.send(request, **kwargs) File "/usr/lib/python3/dist-packages/requests/adapters.py", line 498, in send raise ConnectionError(err, request=request) requests.exceptions.ConnectionError: ('Connection aborted.', PermissionError(13, 'Permission denied')) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/docker-compose", line 10, in <module> sys.exit(main()) File "/usr/local/lib/python3.7/dist-packages/compose/cli/main.py", line 81, in main command_func() File "/usr/local/lib/python3.7/dist-packages/compose/cli/main.py", line 200, in perform_command project = project_from_options('.', options) File "/usr/local/lib/python3.7/dist-packages/compose/cli/command.py", line 70, in project_from_options enabled_profiles=get_profiles_from_options(options, environment) File "/usr/local/lib/python3.7/dist-packages/compose/cli/command.py", line 153, in get_project verbose=verbose, version=api_version, context=context, environment=environment File "/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py", line 43, in get_client environment=environment, tls_version=get_tls_version(environment) File "/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py", line 170, in docker_client client = APIClient(use_ssh_client=not use_paramiko_ssh, **kwargs) File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 197, in __init__ self._version = self._retrieve_server_version() File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 222, in _retrieve_server_version 'Error while fetching server API version: {0}'.format(e) docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', PermissionError(13, 'Permission denied')) Je passe donc la commande en sudo, plus d'erreur mais fichier toujours à 0....


Automobile Propre

Automobile Propre est un site d'information communautaire qui est dédié à tout ce qui concerne l'automobile et l'environnement. Les thématiques les plus populaires de notre blog auto sont la voiture électrique et les hybrides, mais nous abordons également la voiture GNV / GPL, les auto à l'hydrogène, les apects politiques et environnementaux liés à l'automobile. Les internautes sont invités à réagir aux articles du blog dans les commentaires, mais également dans les différents forums qui sont mis à leur dispositon. Le plus populaire d'entre eux est certainement le forum voiture électrique qui centralise les discussions relatives à l'arrivée de ces nouveaux véhicules. Un lexique centralise les définitions des principaux mots techniques utilisés sur le blog, tandis qu'une base de données des voitures (commercialisées ou non) recense les voitures électriques et hybrides.

×
×
  • Créer...